def var c-result as char.
def var l-result as logical.

def temp-table tt1
  field f-1 as character
  field f-2 as character
  field f-3 as character
  field f-4 as character.
def temp-table tt2
  field f-1 as character
  field f-2 as character
  field f-3 as character.

def buffer btt1 for tt1.
def buffer btt2 for tt2.

def var h1 as handle.
def var h2 as handle.

h1 = buffer tt1:handle.
h2 = buffer tt2:handle.



/* Create our records */

create btt1.
assign btt1.f-1 = "aa"
       btt1.f-2 = "bb"
       btt1.f-3 = "cc"
       btt1.f-4 = "dd".

create btt2.
assign btt2.f-1 = "aA"
       btt2.f-2 = "bb"
       btt2.f-3 = "cc".

h1:FIND-FIRST().
h2:FIND-FIRST().

/* except */

buffer-compare btt1 except f-3 to btt2  save c-result.
message "Result 1:" string(c-result).

l-result = h1:BUFFER-COMPARE(h2, "case-sensitive", "f-3").
message "Result 2:" string(l-result).

buffer-compare btt1 except f-3 f-1 to btt2  save c-result.
message "Result 3:" string(c-result).

l-result = h1:BUFFER-COMPARE(h2, "case-sensitive", "f-3,f-1").
message "Result 4:" string(l-result).

buffer-compare btt1 except f-3 f-4 to btt2  save c-result.
message "Result 5:" string(c-result).

l-result = h1:BUFFER-COMPARE(h2, "case-sensitive", "f-3,f-3").
message "Result 6:" string(l-result).

buffer-compare btt1 to btt2 save c-result.
message "Result 7:" string(c-result).

l-result = h1:BUFFER-COMPARE(h2, "case-sensitive", "").
message "Result 8:" string(l-result).

/* using */

buffer-compare btt1 using f-3 to btt2  save c-result.
message "Result 9:" string(c-result).

buffer-compare btt1 using f-3 f-1 to btt2  save c-result.
message "Result 10:" string(c-result).

buffer-compare btt1 using f-3 f-3 to btt2  save c-result.
message "Result 11:" string(c-result).

/* case-sensitive */

buffer-compare btt1 except f-3 f-4 to btt2 save c-result.
message "Result not case-sensitive statement:" string(c-result).

buffer-compare btt1 except f-3 f-4 to btt2 case-sensitive save c-result.
message "Result case-sensitive statement:" string(c-result).

buffer-compare btt1 except f-3 f-4 to btt2 binary save c-result.
message "Result binary statement:" string(c-result).

l-result = h1:BUFFER-COMPARE(h2, "binary", "f-3,f-4").
message "Result binary method:" string(l-result).


delete book.
