def var c-result as char.
def var l-result as logical.

def temp-table tt1
  field f1 as character
  field f2 as character
  field f3 as character
  field f4 as character.
def temp-table tt2
  field f1 as character
  field f2 as character
  field f3 as character.

def buffer btt1 for tt1.
def buffer btt2 for tt2.

def var h1 as handle.
def var h2 as handle.

h1 = buffer tt1:handle.
h2 = buffer tt2:handle.



/* Create our records */

create btt1.
assign btt1.f1 = "aa"
       btt1.f2 = "bb"
       btt1.f3 = "cc"
       btt1.f4 = "dd".

create btt2.
assign btt2.f1 = "aA"
       btt2.f2 = "bb"
       btt2.f3 = "cc".

h1:FIND-FIRST().
h2:FIND-FIRST().


buffer-compare btt1 except f3 f4 to btt2 save c-result.
message "Result statement:" string(c-result).

buffer-compare btt1 except f3 f4 to btt2 case-sensitive save c-result.
message "Result case-sensitive statement:" string(c-result).


buffer-compare btt1 except f3 f4 to btt2 binary save c-result.
message "Result binary statement:" string(c-result).


l-result = h1:BUFFER-COMPARE(h2, "", "f3,f4").
message "Result method:" string(l-result).

l-result = h1:BUFFER-COMPARE(h2, "binary", "f3,f4").
message "Result binary method:" string(l-result).

l-result = h1:BUFFER-COMPARE(h2, "case-sensitive", "f3,f4").
message "Result case-sensitive method:" string(l-result).

delete book.
